Uploaded image for project: 'SLF4J'
  1. SLF4J
  2. SLF4J-405

Android app with transitive (unrestricted?) dependencies from slf4j does not compile under Android Studio

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major
    • Resolution: Cannot Reproduce
    • Affects Version/s: 1.8.0-alpha0
    • Fix Version/s: None
    • Component/s: Core API
    • Labels:
      None
    • Environment:

      Windows 10

      Android Studio 2.3 

      Description

      I have a huge Android (Gradle) project which had been compiling just fine till 07.04.2017 (yesterday) under Android Studio 2.3.
      Now I have
          Error:Execution failed for task ':app:compileReleaseJavaWithJavac'.
      > Could not expand ZIP 'C:\Users\1\.gradle\caches\modules-2\files-2.1\org.slf4j\slf4j-api\1.8.0-alpha0\3745fbc3ca51456387cf068d66442513898a42f1\slf4j-api-1.8.0-alpha0.jar'.

      I am not using slf4j-api directly, but I suppose that some of .aar libs included in my project (or Andoid Studio !?) do that and probably on the "unrestricted" basis, i.e. as:
          compile 'org.slf4j:slf4j-api:1.+'
      So, there was no problem before 07.04.2017, but yesterday your have updated your https://www.slf4j.org/dist/ with slf4j-1.8.0-alpha0 and I have got problems.

      Would you be so kind to remove this version from your repo, because I am using Java 8 in my project and therefore I can't restrict himself with using of slf4j-1.7.x by means of gradle command. More over I have no idea which of .aar libraries in my project uses slf4j by inappropriate way.

        Attachments

          Activity

            People

            • Assignee:
              slf4j-dev SLF4J developers list
              Reporter:
              Lev Lev
            • Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: